Page MenuHomePhabricator

initSiteStats.php calls undefined/protected functions
Closed, ResolvedPublic

Description

$ php maintenance/initSiteStats.php
Refresh Site Statistics

Counting total edits...1291
Counting number of articles...35
Counting total pages...119
Counting number of users...3
Counting number of images...1
Counting total page views...0

Updating site statistics...Fatal error: Call to protected method SiteStatsInit::refresh() from context 'InitSiteStats' in [pathname]\MediaWiki\core\maintenance\initSiteStats.php on line 83

$ php maintenance/initSiteStats.php --update
Refresh Site Statistics

Counting total edits...1291
Counting number of articles...35
Counting total pages...119
Counting number of users...3
Counting number of images...1
Counting total page views...0

Updating site statistics...Fatal error: Call to undefined method SiteStatsInit::update() in [pathname]\MediaWiki\core\maintenance\initSiteStats.php on line 81


Version: 1.23.0
Severity: normal

Details

Reference
bz65214

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:21 AM
bzimport set Reference to bz65214.
bzimport added a subscriber: Unknown Object (MLST).
TTO created this task.May 12 2014, 9:44 AM

Change 132926 had a related patch set uploaded by TTO:
Fix initSiteStats.php maintenance script

https://gerrit.wikimedia.org/r/132926

Which is the review status of this patch?

TTO added a comment.May 27 2014, 2:20 AM

It can take some weeks or months for a minor patch such as this to be reviewed. I find it rather frustrating, but not much can be done about it without actually poking people and possibly getting them annoyed.

Change 132926 merged by jenkins-bot:
Fix initSiteStats.php maintenance script

https://gerrit.wikimedia.org/r/132926

Sorry about the delay.

We'll need to get this backported to 1.23.

Question:

  1. Is it normal this error message: https://integration.wikimedia.org/ci/job/mediawiki-core-regression-hhvm-master/740/console : ERROR! It seems this job introduced a regression although it might be caused by a previous commit. in 5s (non-voting) ?

PS I have no idea of what it is, I've just highlighted for to your evaluation.

Change 142987 had a related patch set uploaded by MarkAHershberger:
Fix initSiteStats.php maintenance script

https://gerrit.wikimedia.org/r/142987

Change 142987 merged by jenkins-bot:
Fix initSiteStats.php maintenance script

https://gerrit.wikimedia.org/r/142987

TTO added a comment.Jun 30 2014, 5:02 AM

(In reply to Andyrom75 from comment #6)

Question:

  1. Is it normal this error message:

To answer your question, yes, it is normal. The specific error, if you follow the link, is "Error: 13 database or disk is full", which was clearly not caused by this patch.

Error was caused by a full disk:

Error: 13 database or disk is full

Adding Hashar since he manages Jenkins.

Thanks to both of you for the answer and good to know.

Was backported, adjust flag